#include <stdio.h>
#include "test.h"

//tests

test_t tests[] = {NULL};

int main(int argc, char** argv) {

	test_t* current = tests;
	int failcount = 0;
	int testcount = 0;
	for(; *current; current++) {
		testcount++;
		printf("\033[1mRunning test number: %d ", testcount);
		if((*current)()) {
			printf("\033[1;92msucceeded\033[0;1m!\n");
		} else {
			printf("\033[1;91mfailed\033[0;1m\n");
			failcount++;
		}
	}

	printf("\033[1;93m%d\033[0;1m/%d failed\n", failcount, testcount);
	return failcount > 0;
}
